## xorg 7.6+4ubuntu3

=== xsf-docs/Makefile ===
#!/usr/bin/make -f

mdwn_pages = $(shell find -name '*.mdwn')

html_pages = $(patsubst %.mdwn,%.html,$(mdwn_pages))

pdf_files = $(patsubst %.mdwn,%.pdf,$(mdwn_pages))

txt_files = $(patsubst %.mdwn,%.txt,$(mdwn_pages))

MDWN_TO_HTML = ./mdwn2html
HTML_TO_PDF  = wkhtmltopdf
HTML_TO_TXT  = w3m -dump
CSS_FILE     = xsf.css
SVG_LOGO     = xsf.svg
PNG_LOGO     = xsf.png

all_files = $(html_pages) $(pdf_files) $(txt_files) $(CSS_FILE) $(SVG_LOGO) $(PNG_LOGO)

all: html pdf txt $(PNG_LOGO)

html: $(html_pages)

pdf: $(pdf_files)

txt: $(txt_files)

%.html: %.mdwn $(MDWN_TO_HTML)
	$(MDWN_TO_HTML) $< $@

%.pdf: %.html $(CSS_FILE) $(SVG_LOGO)
	$(HTML_TO_PDF) $< $@

# Plain markdown is actually more readable than html dumped to plain
# text (e.g. through w3m):
%.txt: %.mdwn
	cp $< $@

# We usually don't need to run this one, but it's easier to keep both
# SVN and PNG logos in sync:
$(PNG_LOGO): $(SVG_LOGO)
	inkscape $< -e $@

install: $(all_files)
	@if [ -z "$(DESTDIR)" ]; then \
		echo 'E: DESTDIR is not set, not installing.'; exit 1; \
	fi
	mkdir -p $(DESTDIR)
	# There are probably better ways:
	set -e; for i in $(all_files); do \
		d=$(DESTDIR)/`dirname $$i` && \
		mkdir -p $$d && \
		install $$i $$d; \
	done

clean:
	@echo "Removing all generated files"
	rm -f $(html_pages) $(pdf_files) $(txt_files)


.PHONY: clean html pdf all

=== debian/changelog ===
xorg (1:7.6+4ubuntu3) natty; urgency=low

  * apport/source_xorg.py:  Fix typo in previous upload

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 05 Apr 2011 11:57:48 -0700

xorg (1:7.6+4ubuntu2) natty; urgency=low

  * apport/source_xorg.py:
    + Wildcarding package names doesn't seem to work.  Look for dri
      experimental package directly.
      (LP: #749809, #747725)
    + Include compiz version tag if the problem is a compiz crash
      (LP: #744355)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 04 Apr 2011 19:01:36 -0700

xorg (1:7.6+4ubuntu1) natty; urgency=low

  [ Timo Aaltonen ]
  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Add apport hook
    - Demote xfonts-{75DPI,100DPI} to Suggests. Demote xfonts-scalable to
      Recommends.
    - debian/local/Failsafe*: Failsafe X hookup.
    - debian/local/Xsession: Truncate xsession-errors on startup if too big
    - debian/local/Xsession.d/20x11-common_process-args: Add support for
      session command containing args.
    - debian/local/Xsession.d/60x11-common_localhost: Authorise all processes
      running with the user's credentials to connect to the server.
    - debian/rules, debian/control:
      + Add dependencies on x11-common, and symlink /usr/share/doc directories
        of all packages to x11-common's.
    - debian/scripts/vars.*: Don't drop wacom, synaptics from *-all
    - debian/xserver-xorg.postinst.in: Also migrate users from psb → vesa.
  * Removed transitional xlibmesa-gl*, libglu1-* packages, they have only
    'Suggests' or 'Recommends' rdepends left, and other packages available
    that replace them.
  * x11-common: Remove obsolete failsafe configuration files from /etc/gdm.
    (LP: #654353)
  * x11-common: Clean up old configuration file removals from
    {preinst,postinst,postrm}.in.
  * control, rules: Don't build xsf-docs, markdown and wkhtmltopdf are in
    universe.

  [ Bryce Harrington ]
  * apport/source_xorg.py:
    - Include 'xinput list' output for input device issues.
    - For amd64 arch's, include version of ia32-libs package.
  * scripts/vars.amd64, scripts/vars.i386:
    - Include the -qxl video driver in video-all for amd64 and i386, to
      provide remote graphical desktop functionality for KVM.
  * scripts/vars.arm, scripts/vars.armeb, scripts/vars.armel:
    - Drop obscure drivers that are likely irrelevant for ARM.

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 01 Apr 2011 00:05:38 -0700

xorg (1:7.6~3ubuntu11) natty; urgency=low

  * apport/source_xorg.py:
    - Fix typo in nvidia data collection
    - Only collect gdm logs if gdm appears to be present, so as not to
      cause "file not found" errors when it isn't.
      (LP: #722914)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 02 Mar 2011 10:56:02 -0800

xorg (1:7.6~3ubuntu10) natty; urgency=low

  * apport/source_xorg.py:
    - Refactor command_output_quiet() to attach_command_output().
      attach_command_output() is designed to follow the API style of
      apport's attach_file() and attach_root_commands_output(), and is less
      susceptible to faults caused by assigning None to elements of the
      report[] dictionary.
      (LP: #712109)
    - Replace remaining calls to command_output_quiet() with specialized
      routine is_process_running().

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 01 Mar 2011 18:15:59 -0800

xorg (1:7.6~3ubuntu9) natty; urgency=low

  * apport/source_xorg.py:
    - Collect jockey info in the case of proprietary drivers
    - Collect update-alternatives info in case of proprietary drivers
    - Generate nvidia-bug-report.log.gz if -nvidia loaded
    - Don't quell errors calling unity_support_test (LP: #710630)
    - Check for null when checking for upgrades.  Can fail if apt.log is
      empty or unreadable. (LP: #723061)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 01 Mar 2011 16:58:31 -0800

xorg (1:7.6~3ubuntu8) natty; urgency=low

  [Brian Murray]
  * apport/source_xorg.py: Fix compiz bug tagging to tag 'compiz-0.9'
    rather than 'compiz-0.9.2'
    (LP: #724598)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 24 Feb 2011 18:27:30 -0800

xorg (1:7.6~3ubuntu7) natty; urgency=low

  * Mark x11-common as Multi-Arch: foreign, so foreign-architecture libs
    have their dependency satisfied by it.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Feb 2011 03:41:05 +0000

xorg (1:7.6~3ubuntu6) natty; urgency=low

  * apport/source_xorg.py:
    - Fix typo in pci parsing so it correctly gets gpu pci id

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 18 Feb 2011 16:10:53 -0800

xorg (1:7.6~3ubuntu5) natty; urgency=low

  * apport/source_xorg.py:
    - Add 'locale' information (for keyboards)
    - Drop 'glxinfo' since it's been demoted to universe (LP: #714784)
    - Switch to new attach_root_command_outputs() call.  Prevents prompting
      for password 3 times for 3 gdm files (thanks Pitti!) (LP: #716595)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 17 Feb 2011 11:42:58 -0800

xorg (1:7.6~3ubuntu4) natty; urgency=low

  * apport/source_xorg.py:
    - Fix misspelling of CompositorRunning
    - report[compiz_version] should just be compiz_version (LP: #716733)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 10 Feb 2011 19:07:11 -0800

xorg (1:7.6~3ubuntu3) natty; urgency=low

  * apport/source_xorg.py:
    - Tag bugs with compiz version
    - Trim out colored output from unity_support_test, which causes apport
      to choke when reporting compiz bugs.
      (LP: #710630)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 02 Feb 2011 16:03:57 -0800

xorg (1:7.6~3ubuntu1) natty; urgency=low

  * Merge from (unreleased) Debian experimental.  Remaining Ubuntu changes:
    - Add apport hook
    - Demote xfonts-{75DPI,100DPI} to Suggests.  Demote xfonts-scalable to
      Recommends.
    - Keep old transitional packages; these still have rdepends in Ubuntu
      + xlibmesa-gl
      + xlibmesa-gl-dev
      + xlibmesa-glu
      + libglu1-xorg
      + libglu1-xorg-dev


## xorg 7.6+4ubuntu3.2

=== debian/changelog ===
xorg (1:7.6+4ubuntu3.2) natty-security; urgency=low

  * SECURITY UPDATE: console requirement bypass (LP: #918332)
    - debian/local/xserver-wrapper.c: drop alternative TTY support, and
      also reset effective group id. Patch obtained from Debian squeeze
      update.
    - CVE-2011-4613

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Jan 2012 13:30:25 -0500

xorg (1:7.6+4ubuntu3.1) natty-proposed; urgency=low

  * apport/source_xorg.py:
    - Simplify answers for bug reporters filing post-release reports.
      (LP: #778758)
    - Remove attach_drm_info().  This is useful info but we use it very
      infrequently, and it is already available in other log files.  But the
      call makes bug reports a bit cluttered since it adds a lot of lines to
      the report itself.

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 07 Apr 2011 14:02:40 -0700

=== debian/control ===
Source: xorg
Section: x11
Priority: optional
Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>, Cyril Brulebois <kibi@debian.org>
Standards-Version: 3.9.1
Build-Depends:
 debhelper (>= 7.3.15ubuntu3),
 po-debconf,
# xsf-docs:
# markdown,
# wkhtmltopdf,
# xauth,
# xvfb,
Vcs-Git: git://git.debian.org/git/pkg-xorg/debian/xorg
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/debian/xorg.git

Package: x11-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, lsb-base (>= 1.3-9ubuntu2)
Description: X Window System (X.Org) infrastructure
 x11-common contains the filesystem infrastructure required for further
 installation of the X Window System in any configuration; it does not
 provide a full installation of clients, servers, libraries, and utilities
 required to run the X Window System.
 .
 A number of terms are used to refer to the X Window System, including "X",
 "X Version 11", "X11", "X11R6", and "X11R7".  The version of X used in
 Debian is derived from the version released by the X.Org Foundation, and
 is thus often also referred to as "X.Org".  All of the preceding quoted
 terms are functionally interchangeable in an Debian system.

Package: xserver-xorg
Architecture: any
Depends:
 xserver-xorg-core (>= 2:1.9.99.901+git20110131),
 xserver-xorg-video-all | xorg-driver-video,
 xserver-xorg-input-all | xorg-driver-input,
 xserver-xorg-input-evdev [linux-any],
 hal (>= 0.5.12~git20090406) [kfreebsd-any],
 ${shlibs:Depends},
 ${misc:Depends},
 xkb-data (>= 1.4),
 x11-xkb-utils
Recommends:
 libgl1-mesa-dri,
Description: the X.Org X server
 This package depends on the full suite of the server and drivers for the
 X.Org X server.  It does not provide the actual server itself.

Package: xserver-xorg-video-all
Architecture: any
Depends:
 ${F:XServer-Xorg-Video-Depends},
 ${misc:Depends},
Recommends:
 ${F:XServer-Xorg-Video-Recommends},
Replaces: xserver-xorg-driver-all
Conflicts: xserver-xorg-driver-all
Description: the X.Org X server -- output driver metapackage
 This package depends on the full suite of output drivers for the X.Org X server
 (Xorg).  It does not provide any drivers itself, and may be removed if you wish
 to only have certain drivers installed.

Package: xserver-xorg-input-all
Architecture: any
Depends:
 ${F:XServer-Xorg-Input-Depends},
 ${misc:Depends},
Recommends:
 ${F:XServer-Xorg-Input-Recommends},
Description: the X.Org X server -- input driver metapackage
 This package depends on the full suite of input drivers for the X.Org X server
 (Xorg).  It does not provide any drivers itself, and may be removed if you wish
 to only have certain drivers installed.

Package: xorg
Architecture: any
Depends:
 xserver-xorg (>= ${binary:Version}),
 libgl1-mesa-glx | libgl1,
 libgl1-mesa-dri,
 libglu1-mesa,
 xfonts-base (>= 1:1.0.0-1),
 x11-apps,
 x11-session-utils,
 x11-utils,
 x11-xfs-utils,
 x11-xkb-utils,
 x11-xserver-utils,
 xauth,
 xinit,
 xfonts-utils,
 xkb-data,
 xorg-docs-core,
 xterm | x-terminal-emulator,
 ${misc:Depends},
 x11-common,
 xinput,
Recommends:
 xfonts-scalable (>= 1:1.0.0-1),
Provides: x-window-system, x-window-system-core
Suggests: xorg-docs,
 xfonts-100dpi (>= 1:1.0.0-1),
 xfonts-75dpi (>= 1:1.0.0-1)
Description: X.Org X Window System
 This metapackage provides the components for a standalone
 workstation running the X Window System.  It provides the X libraries, an X
 server, a set of fonts, and a group of basic X clients and utilities.
 .
 Higher level metapackages, such as those for desktop environments, can
 depend on this package and simplify their dependencies.
 .
 It should be noted that a package providing x-window-manager should also
 be installed to ensure a comfortable X experience.

Package: xorg-dev
Architecture: all
Depends:
 libdmx-dev,
 libfontenc-dev,
 libfs-dev,
 libice-dev,
 libsm-dev,
 libx11-dev,
 libxau-dev,
 libxaw7-dev,
 libxcomposite-dev,
 libxcursor-dev,
 libxdamage-dev,
 libxdmcp-dev,
 libxext-dev,
 libxfixes-dev,
 libxfont-dev,
 libxft-dev,
 libxi-dev,
 libxinerama-dev,
 libxkbfile-dev,
 libxmu-dev,
 libxmuu-dev,
 libxpm-dev,
 libxrandr-dev,
 libxrender-dev,
 libxres-dev,
 libxss-dev,
 libxt-dev,
 libxtst-dev,
 libxv-dev,
 libxvmc-dev,
 libxxf86dga-dev,
 libxxf86vm-dev,
 x11proto-bigreqs-dev,
 x11proto-composite-dev,
 x11proto-core-dev,
 x11proto-damage-dev,
 x11proto-dmx-dev,
 x11proto-fixes-dev,
 x11proto-fonts-dev,
 x11proto-gl-dev,
 x11proto-input-dev,
 x11proto-kb-dev,
 x11proto-randr-dev,
 x11proto-record-dev,
 x11proto-render-dev,
 x11proto-resource-dev,
 x11proto-scrnsaver-dev,
 x11proto-video-dev,
 x11proto-xcmisc-dev,
 x11proto-xext-dev,
 x11proto-xf86bigfont-dev,
 x11proto-xf86dga-dev,
 x11proto-xf86dri-dev,
 x11proto-xf86vidmode-dev,
 x11proto-xinerama-dev,
 xserver-xorg-dev,
 xtrans-dev,
 ${misc:Depends},
 x11-common,
Description: the X.Org X Window System development libraries
 This metapackage provides the development libraries for the X.Org X Window
 System.
 .
 X Window System design documentation, manual pages, library reference
 works, static versions of the shared libraries, and C header files are
 supplied by the packages depended on by this metapackage.
 .
 Note that this is a convenience package for users and is not a package for
 Debian developers to have their package depend on.

Package: xbase-clients
Section: x11
Architecture: all
Depends:
 x11-apps,
 x11-session-utils,
 x11-utils,
 x11-xfs-utils,
 x11-xkb-utils,
 x11-xserver-utils,
 xauth,
 xinit,
 ${misc:Depends},
 x11-common,
Description: miscellaneous X clients - metapackage
 An X client is a program that interfaces with an X server (almost always via
 the X libraries), and thus with some input and output hardware like a
 graphics card, monitor, keyboard, and pointing device (such as a mouse).
 .
 This package provides a miscellaneous assortment of several dozen X clients
 that ship with the X Window System.
 .
 This package is provided for transition from earlier Debian releases, the
 programs formerly in xutils and xbase-clients having been split out in smaller
 packages.

Package: xutils
Section: x11
Architecture: all
Depends:
 x11-xfs-utils,
 x11-utils,
 x11-xserver-utils,
 x11-session-utils,
 xfonts-utils,
 ${misc:Depends},
 x11-common,
Description: X Window System utility programs metapackage
 xutils provides a set of utility programs shipped with the X Window System.
 Many of these programs are useful even on a system that does not have any X
 clients or X servers installed.
 .
 This package is provided for transition from earlier Debian releases, the
 programs formerly in xutils and xbase-clients having been split out in smaller
 packages.

=== debian/rules ===
#!/usr/bin/make -f
# Debian rules file for xfree86 source package
# Originally by Stephen Early <sde1000@debian.org>
# Modified by Mark W. Eichin <eichin@kitten.gen.ma.us>
# Modified by Adam Heath <doogie@debian.org>
# Modified by Branden Robinson <branden@debian.org>
# Modified by Fabio Massimo Di Nitto <fabbione@fabbione.net>
# Modified by Daniel Stone <daniel.stone@ubuntu.com>
# Modified by David Nusinow <dnusinow@debian.org>
# Copyright 1996--2005 Software in the Public Interest, Inc.
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
# Acknowledgements to Stephen Early, Mark Eichin, and Manoj Srivastava.

DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CC=$(DEB_HOST_GNU_TYPE)-gcc
else
CC ?=gcc
endif

# debhelper
export DH_OPTIONS

include debian/xsfbs/xsfbs.mk

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Read in architecture-specific variables of importance.
include debian/scripts/vars.$(ARCH)

clean: cleanscripts
	dh_testdir
	dh_clean debian/local/X debian/po/pothead
#	$(MAKE) -C xsf-docs clean
	-rm -rf stampdir
	-rm -f debian/po-failsafe/failsafexinit.pot
	-debconf-updatepo


SCRIPTS=$(shell ls debian/*.config.in debian/*.postinst.in debian/*.postrm.in debian/*.preinst.in debian/*.prerm.in)

scripts: scripts-stamp
scripts-stamp: genscripts
	touch $@

build: build-stamp
build-stamp: scripts-stamp
	dh_testdir
	# build Debian's X server wrapper
	$(CC) -Wall -g -O2 -o debian/local/X debian/local/xserver-wrapper.c
	xgettext -f debian/po-failsafe/POTFILES.in -d failsafexinit -o debian/po-failsafe/failsafexinit.pot -L Shell
ifneq (,$(filter sparc sparc64,$(DEB_HOST_ARCH)))
	# work around wkhtmltopdf's sigbus on sparc (#613141):
#	sed -i '/background-image.*svg/d' xsf-docs/xsf.css
endif
	# build XSF docs, under xvfb for wkhtmltodpf:
#	xvfb-run -- $(MAKE) -C xsf-docs
#	touch $@

build-arch-only: build
build-all:

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
#	$(MAKE) -C xsf-docs install DESTDIR=$(CURDIR)/debian/xserver-xorg/usr/share/doc/xorg
	touch $@

binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdebconf
	dh_installdirs
	dh_installdocs
	dh_installchangelogs
	dh_installinit -px11-common -u'start 70 S .'
	dh_installinit -px11-common --no-start --upstart-only --name failsafe-x
	dh_installman
	dh_lintian
	dh_link
	dh_compress
	t=x11-common; \
	for p in $$(dh_listpackages -i -N$$t); do \
	  rm -rf debian/$$p/usr/share/doc/$$p; \
	  ln -s $$t debian/$$p/usr/share/doc/$$p; \
	  ( \
	    echo "# doc dir is now a symlink to $$p"; \
	    echo 'if [ "$$1" = upgrade ] && [ ! -L /usr/share/doc/'$$p' ]; then'; \
	    echo "    rm -rf /usr/share/doc/$$p"; \
	    echo "fi"; \
	  ) >> debian/$$p.preinst.debhelper; \
	done
	dh_fixperms
	chown root:root debian/x11-common/etc/X11/Xreset
	chmod 755 debian/x11-common/etc/X11/Xreset
	chown root:root debian/x11-common/etc/X11/Xsession
	chmod 755 debian/x11-common/etc/X11/Xsession
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	touch $@-stamp

binary-arch: DH_OPTIONS=-s
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
	install -d debian/xserver-xorg/usr/lib/hal
	install -d debian/xserver-xorg/usr/share/hal/fdi/policy/10osvendor
	install -m 755 debian/local/debian-setup-keyboard debian/xserver-xorg/usr/lib/hal
	install -m 644 debian/local/debian-x11-keymap.fdi debian/xserver-xorg/usr/share/hal/fdi/policy/10osvendor
endif
	dh_installdebconf
	dh_installdirs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installchangelogs
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	t=x11-common; \
	for p in $$(dh_listpackages -s -N$$t); do \
	  rm -rf debian/$$p/usr/share/doc/$$p; \
	  ln -s $$t debian/$$p/usr/share/doc/$$p; \
	  ( \
	    echo "# doc dir is now a symlink to $$p"; \
	    echo 'if [ "$$1" = upgrade ] && [ ! -L /usr/share/doc/'$$p' ]; then'; \
	    echo "    rm -rf /usr/share/doc/$$p"; \
	    echo "fi"; \
	  ) >> debian/$$p.preinst.debhelper; \
	done
	dh_fixperms
	chown root:root debian/xserver-xorg/usr/bin/X
	chmod ug+s debian/xserver-xorg/usr/bin/X
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- -VF:XServer-Xorg-Video-Depends=$(XSERVER_XORG_VIDEO_DEPENDS) \
	                 -VF:XServer-Xorg-Input-Depends=$(XSERVER_XORG_INPUT_DEPENDS) \
	                 -VF:XServer-Xorg-Video-Recommends=$(XSERVER_XORG_VIDEO_RECOMMENDS) \
	                 -VF:XServer-Xorg-Input-Recommends=$(XSERVER_XORG_INPUT_RECOMMENDS)
	dh_md5sums
	dh_builddeb
	touch $@-stamp

binary: binary-indep binary-arch

.PHONY: default
.PHONY: genscripts cleanscripts scripts
.PHONY: updatepo
.PHONY: clean configure install
.PHONY: build build-arch-only build-all
.PHONY: binary binary-arch binary-indep
.PHONY: environment

# vim:set noet ai sts=8 sw=8 tw=0:

## xorg 7.6+4ubuntu3.2+5.0trisquel1

=== debian/changelog ===
xorg (1:7.6+4ubuntu3.2+5.0trisquel1) dagda; urgency=low

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 04 Feb 2012 02:52:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xorg
 Section: x11
 Priority: optional
-Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>, Cyril Brulebois <kibi@debian.org>
 Standards-Version: 3.9.1

## xorg 7.6+7ubuntu7

=== debian/rules ===
--- 
+++ 
@@ -34,9 +34,8 @@
 clean: cleanscripts
 	dh_testdir
 	dh_clean debian/local/X debian/po/pothead
-#	$(MAKE) -C xsf-docs clean
+	$(MAKE) -C xsf-docs clean
 	-rm -rf stampdir
-	-rm -f debian/po-failsafe/failsafexinit.pot
 	-debconf-updatepo
 
 
@@ -51,14 +50,8 @@
 	dh_testdir
 	# build Debian's X server wrapper
 	$(CC) -Wall -g -O2 -o debian/local/X debian/local/xserver-wrapper.c
-	xgettext -f debian/po-failsafe/POTFILES.in -d failsafexinit -o debian/po-failsafe/failsafexinit.pot -L Shell
-ifneq (,$(filter sparc sparc64,$(DEB_HOST_ARCH)))
-	# work around wkhtmltopdf's sigbus on sparc (#613141):
-#	sed -i '/background-image.*svg/d' xsf-docs/xsf.css
-endif
-	# build XSF docs, under xvfb for wkhtmltodpf:
-#	xvfb-run -- $(MAKE) -C xsf-docs
-#	touch $@
+	$(MAKE) -C xsf-docs
+	touch $@
 
 build-arch-only: build
 build-all:
@@ -68,7 +61,7 @@
 	dh_testdir
 	dh_testroot
 	dh_prep
-#	$(MAKE) -C xsf-docs install DESTDIR=$(CURDIR)/debian/xserver-xorg/usr/share/doc/xorg
+	$(MAKE) -C xsf-docs install DESTDIR=$(CURDIR)/debian/xserver-xorg/usr/share/doc/xorg
 	touch $@
 
 binary-indep: DH_OPTIONS=-i
@@ -81,19 +74,17 @@
 	dh_installdocs
 	dh_installchangelogs
 	dh_installinit -px11-common -u'start 70 S .'
-	dh_installinit -px11-common --no-start --upstart-only --name failsafe-x
 	dh_installman
 	dh_lintian
 	dh_link
 	dh_compress
-	t=x11-common; \
-	for p in $$(dh_listpackages -i -N$$t); do \
-	  rm -rf debian/$$p/usr/share/doc/$$p; \
-	  ln -s $$t debian/$$p/usr/share/doc/$$p; \
+	set -e ;\
+	for p in $$(dh_listpackages -i); do \
 	  ( \
-	    echo "# doc dir is now a symlink to $$p"; \
-	    echo 'if [ "$$1" = upgrade ] && [ ! -L /usr/share/doc/'$$p' ]; then'; \
-	    echo "    rm -rf /usr/share/doc/$$p"; \
+	    echo "# Undo doc-dir symlinking.  Leave this to pkgbinarymangler"; \
+	    echo "# This can be removed after the next LTS" ; \
+	    echo 'if [ "$$1" = upgrade ] && [ -L /usr/share/doc/'$$p' ]; then'; \
+	    echo "    rm -f /usr/share/doc/$$p"; \
 	    echo "fi"; \
 	  ) >> debian/$$p.preinst.debhelper; \
 	done
@@ -129,14 +120,13 @@
 	dh_link
 	dh_strip
 	dh_compress
-	t=x11-common; \
-	for p in $$(dh_listpackages -s -N$$t); do \
-	  rm -rf debian/$$p/usr/share/doc/$$p; \
-	  ln -s $$t debian/$$p/usr/share/doc/$$p; \
+	set -e ;\
+	for p in $$(dh_listpackages -a); do \
 	  ( \
-	    echo "# doc dir is now a symlink to $$p"; \
-	    echo 'if [ "$$1" = upgrade ] && [ ! -L /usr/share/doc/'$$p' ]; then'; \
-	    echo "    rm -rf /usr/share/doc/$$p"; \
+	    echo "# Undo doc-dir symlinking.  Leave this to pkgbinarymangler."; \
+	    echo "# This can be removed after the next LTS" ; \
+	    echo 'if [ "$$1" = upgrade ] && [ -L /usr/share/doc/'$$p' ]; then'; \
+	    echo "    rm -f /usr/share/doc/$$p"; \
 	    echo "fi"; \
 	  ) >> debian/$$p.preinst.debhelper; \
 	done

## xorg 7.6+7ubuntu7.1

=== debian/changelog ===
xorg (1:7.6+7ubuntu7.1) oneiric-security; urgency=low

  * SECURITY UPDATE: console requirement bypass (LP: #918332)
    - debian/local/xserver-wrapper.c: drop alternative TTY support, and
      also reset effective group id. Patch obtained from Debian squeeze
      update.
    - CVE-2011-4613

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Jan 2012 13:35:02 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,15 @@
 Source: xorg
 Section: x11
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>, Cyril Brulebois <kibi@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends:
  debhelper (>= 7.3.15ubuntu3),
  po-debconf,
 # xsf-docs:
-# markdown,
-# wkhtmltopdf,
-# xauth,
-# xvfb,
+ asciidoc,
 Vcs-Git: git://git.debian.org/git/pkg-xorg/debian/xorg
 Vcs-Browser: http://git.debian.org/?p=pkg-xorg/debian/xorg.git
 
@@ -46,7 +43,7 @@
  x11-xkb-utils
 Recommends:
  libgl1-mesa-dri,
-Description: the X.Org X server
+Description: X.Org X server
  This package depends on the full suite of the server and drivers for the
  X.Org X server.  It does not provide the actual server itself.
 
@@ -59,7 +56,7 @@
  ${F:XServer-Xorg-Video-Recommends},
 Replaces: xserver-xorg-driver-all
 Conflicts: xserver-xorg-driver-all
-Description: the X.Org X server -- output driver metapackage
+Description: X.Org X server -- output driver metapackage
  This package depends on the full suite of output drivers for the X.Org X server
  (Xorg).  It does not provide any drivers itself, and may be removed if you wish
  to only have certain drivers installed.
@@ -71,7 +68,7 @@
  ${misc:Depends},
 Recommends:
  ${F:XServer-Xorg-Input-Recommends},
-Description: the X.Org X server -- input driver metapackage
+Description: X.Org X server -- input driver metapackage
  This package depends on the full suite of input drivers for the X.Org X server
  (Xorg).  It does not provide any drivers itself, and may be removed if you wish
  to only have certain drivers installed.
@@ -178,7 +175,7 @@
  xtrans-dev,
  ${misc:Depends},
  x11-common,
-Description: the X.Org X Window System development libraries
+Description: X.Org X Window System development libraries
  This metapackage provides the development libraries for the X.Org X Window
  System.
  .

## xorg 7.6+8~bpo60+1

=== debian/changelog ===
xorg (1:7.6+8~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 18 Aug 2011 00:04:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: xorg
 Section: x11
 Priority: optional
-Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>, Cyril Brulebois <kibi@debian.org>
 Standards-Version: 3.9.2
 Build-Depends:
- debhelper (>= 7.3.15ubuntu3),
+ debhelper (>= 7),
  po-debconf,
 # xsf-docs:
  asciidoc,
@@ -32,17 +31,18 @@
 Package: xserver-xorg
 Architecture: any
 Depends:
- xserver-xorg-core (>= 2:1.9.99.901+git20110131),
+ xserver-xorg-core (>= 2:1.9.0.901),
  xserver-xorg-video-all | xorg-driver-video,
  xserver-xorg-input-all | xorg-driver-input,
  xserver-xorg-input-evdev [linux-any],
- hal (>= 0.5.12~git20090406) [kfreebsd-any],
+ hal (>= 0.5.14-4~) [kfreebsd-any],
  ${shlibs:Depends},
  ${misc:Depends},
  xkb-data (>= 1.4),
  x11-xkb-utils
 Recommends:
  libgl1-mesa-dri,
+Provides: xserver
 Description: X.Org X server
  This package depends on the full suite of the server and drivers for the
  X.Org X server.  It does not provide the actual server itself.
@@ -81,6 +81,9 @@
  libgl1-mesa-dri,
  libglu1-mesa,
  xfonts-base (>= 1:1.0.0-1),
+ xfonts-100dpi (>= 1:1.0.0-1),
+ xfonts-75dpi (>= 1:1.0.0-1),
+ xfonts-scalable (>= 1:1.0.0-1),
  x11-apps,
  x11-session-utils,
  x11-utils,
@@ -94,14 +97,8 @@
  xorg-docs-core,
  xterm | x-terminal-emulator,
  ${misc:Depends},
- x11-common,
- xinput,
-Recommends:
- xfonts-scalable (>= 1:1.0.0-1),
 Provides: x-window-system, x-window-system-core
-Suggests: xorg-docs,
- xfonts-100dpi (>= 1:1.0.0-1),
- xfonts-75dpi (>= 1:1.0.0-1)
+Suggests: xorg-docs
 Description: X.Org X Window System
  This metapackage provides the components for a standalone
  workstation running the X Window System.  It provides the X libraries, an X
@@ -174,7 +171,6 @@
  xserver-xorg-dev,
  xtrans-dev,
  ${misc:Depends},
- x11-common,
 Description: X.Org X Window System development libraries
  This metapackage provides the development libraries for the X.Org X Window
  System.
@@ -199,7 +195,6 @@
  xauth,
  xinit,
  ${misc:Depends},
- x11-common,
 Description: miscellaneous X clients - metapackage
  An X client is a program that interfaces with an X server (almost always via
  the X libraries), and thus with some input and output hardware like a
@@ -222,7 +217,6 @@
  x11-session-utils,
  xfonts-utils,
  ${misc:Depends},
- x11-common,
 Description: X Window System utility programs metapackage
  xutils provides a set of utility programs shipped with the X Window System.
  Many of these programs are useful even on a system that does not have any X

=== debian/rules ===
--- 
+++ 
@@ -78,16 +78,6 @@
 	dh_lintian
 	dh_link
 	dh_compress
-	set -e ;\
-	for p in $$(dh_listpackages -i); do \
-	  ( \
-	    echo "# Undo doc-dir symlinking.  Leave this to pkgbinarymangler"; \
-	    echo "# This can be removed after the next LTS" ; \
-	    echo 'if [ "$$1" = upgrade ] && [ -L /usr/share/doc/'$$p' ]; then'; \
-	    echo "    rm -f /usr/share/doc/$$p"; \
-	    echo "fi"; \
-	  ) >> debian/$$p.preinst.debhelper; \
-	done
 	dh_fixperms
 	chown root:root debian/x11-common/etc/X11/Xreset
 	chmod 755 debian/x11-common/etc/X11/Xreset
@@ -120,16 +110,6 @@
 	dh_link
 	dh_strip
 	dh_compress
-	set -e ;\
-	for p in $$(dh_listpackages -a); do \
-	  ( \
-	    echo "# Undo doc-dir symlinking.  Leave this to pkgbinarymangler."; \
-	    echo "# This can be removed after the next LTS" ; \
-	    echo 'if [ "$$1" = upgrade ] && [ -L /usr/share/doc/'$$p' ]; then'; \
-	    echo "    rm -f /usr/share/doc/$$p"; \
-	    echo "fi"; \
-	  ) >> debian/$$p.preinst.debhelper; \
-	done
 	dh_fixperms
 	chown root:root debian/xserver-xorg/usr/bin/X
 	chmod ug+s debian/xserver-xorg/usr/bin/X

## xorg 7.6+9

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
 Package: xserver-xorg
 Architecture: any
 Depends:
- xserver-xorg-core (>= 2:1.9.0.901),
+ xserver-xorg-core (>= 2:1.11),
  xserver-xorg-video-all | xorg-driver-video,
  xserver-xorg-input-all | xorg-driver-input,
  xserver-xorg-input-evdev [linux-any],

## xorg 7.6+12ubuntu2

=== debian/changelog ===
xorg (1:7.6+12ubuntu2) precise-proposed; urgency=low

  * Update package to enable support for quantal backport stack (LP: #1095686)
  * Add xserver-xorg-lts-precise which can be installed to rollback from renamed stack
    - depends on unrenamed xserver-xorg, recommends unrenamed versions of packages
  * Allow xserver-xorg-renamed to satisfy xorg's xserver-xorg dependency
  * Require unrenamed versions of packages in xserver-xorg
  * Add conflicts/replaces in xserver-xorg to xorg-renamed-package,
    and provide xserver-xorg-renamed

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Thu, 22 Nov 2012 00:00:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: xorg
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>, Cyril Brulebois <kibi@debian.org>
 Standards-Version: 3.9.2
 Build-Depends:
- debhelper (>= 7),
+ dpkg (>= 1.16.1),
+ debhelper (>= 7.3.15ubuntu3),
  po-debconf,
 # xsf-docs:
  asciidoc,
@@ -32,9 +34,9 @@
 Architecture: any
 Depends:
  xserver-xorg-core (>= 2:1.11),
- xserver-xorg-video-all | xorg-driver-video,
- xserver-xorg-input-all | xorg-driver-input,
- xserver-xorg-input-evdev [linux-any],
+ xserver-xorg-video-all (>= 0~) | xorg-driver-video,
+ xserver-xorg-input-all (>= 0~) | xorg-driver-input,
+ xserver-xorg-input-evdev (>= 0~) [linux-any],
  hal (>= 0.5.14-4~) [kfreebsd-any],
  ${shlibs:Depends},
  ${misc:Depends},
@@ -42,7 +44,28 @@
  x11-xkb-utils
 Recommends:
  libgl1-mesa-dri,
-Provides: xserver
+Provides:
+ xserver-xorg-renamed,
+ xserver,
+Replaces:
+ xserver-xorg-renamed,
+ xorg-renamed-package,
+Conflicts:
+ xserver-xorg-renamed,
+ xorg-renamed-package,
+Description: X.Org X server
+ This package depends on the full suite of the server and drivers for the
+ X.Org X server.  It does not provide the actual server itself.
+
+Package: xserver-xorg-lts-precise
+Architecture: any
+Depends:
+ xserver-xorg (>= 0~),
+Recommends:
+ libgl1-mesa-dri (>= 0~),
+ libgl1-mesa-glx (>= 0~),
+ xserver-xorg-video-all (>= 0~),
+ xserver-xorg-input-all (>= 0~),
 Description: X.Org X server
  This package depends on the full suite of the server and drivers for the
  X.Org X server.  It does not provide the actual server itself.
@@ -76,14 +99,11 @@
 Package: xorg
 Architecture: any
 Depends:
- xserver-xorg (>= ${binary:Version}),
+ xserver-xorg (>= ${binary:Version}) | xserver-xorg-renamed,
  libgl1-mesa-glx | libgl1,
  libgl1-mesa-dri,
  libglu1-mesa,
  xfonts-base (>= 1:1.0.0-1),
- xfonts-100dpi (>= 1:1.0.0-1),
- xfonts-75dpi (>= 1:1.0.0-1),
- xfonts-scalable (>= 1:1.0.0-1),
  x11-apps,
  x11-session-utils,
  x11-utils,
@@ -97,8 +117,14 @@
  xorg-docs-core,
  xterm | x-terminal-emulator,
  ${misc:Depends},
+ x11-common,
+ xinput,
+Recommends:
+ xfonts-scalable (>= 1:1.0.0-1),
 Provides: x-window-system, x-window-system-core
-Suggests: xorg-docs
+Suggests: xorg-docs,
+ xfonts-100dpi (>= 1:1.0.0-1),
+ xfonts-75dpi (>= 1:1.0.0-1)
 Description: X.Org X Window System
  This metapackage provides the components for a standalone
  workstation running the X Window System.  It provides the X libraries, an X
@@ -171,6 +197,7 @@
  xserver-xorg-dev,
  xtrans-dev,
  ${misc:Depends},
+ x11-common,
 Description: X.Org X Window System development libraries
  This metapackage provides the development libraries for the X.Org X Window
  System.
@@ -195,6 +222,7 @@
  xauth,
  xinit,
  ${misc:Depends},
+ x11-common,
 Description: miscellaneous X clients - metapackage
  An X client is a program that interfaces with an X server (almost always via
  the X libraries), and thus with some input and output hardware like a
@@ -217,6 +245,7 @@
  x11-session-utils,
  xfonts-utils,
  ${misc:Depends},
+ x11-common,
 Description: X Window System utility programs metapackage
  xutils provides a set of utility programs shipped with the X Window System.
  Many of these programs are useful even on a system that does not have any X

## xorg 7.7%2B1ubuntu8.1

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,13 @@
 else
 CC ?=gcc
 endif
+CFLAGS = \
+	-Wall \
+	$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS)
+CPPFLAGS = \
+	$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)
+LDFLAGS = \
+	$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)
 
 # debhelper
 export DH_OPTIONS
@@ -49,7 +56,7 @@
 build-stamp: scripts-stamp
 	dh_testdir
 	# build Debian's X server wrapper
-	$(CC) -Wall -g -O2 -o debian/local/X debian/local/xserver-wrapper.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o debian/local/X debian/local/xserver-wrapper.c
 	$(MAKE) -C xsf-docs
 	touch $@
 
@@ -78,6 +85,16 @@
 	dh_lintian
 	dh_link
 	dh_compress
+	set -e ;\
+	for p in $$(dh_listpackages -i); do \
+	  ( \
+	    echo "# Undo doc-dir symlinking.  Leave this to pkgbinarymangler"; \
+	    echo "# This can be removed after the next LTS" ; \
+	    echo 'if [ "$$1" = upgrade ] && [ -L /usr/share/doc/'$$p' ]; then'; \
+	    echo "    rm -f /usr/share/doc/$$p"; \
+	    echo "fi"; \
+	  ) >> debian/$$p.preinst.debhelper; \
+	done
 	dh_fixperms
 	chown root:root debian/x11-common/etc/X11/Xreset
 	chmod 755 debian/x11-common/etc/X11/Xreset
@@ -110,6 +127,16 @@
 	dh_link
 	dh_strip
 	dh_compress
+	set -e ;\
+	for p in $$(dh_listpackages -a); do \
+	  ( \
+	    echo "# Undo doc-dir symlinking.  Leave this to pkgbinarymangler."; \
+	    echo "# This can be removed after the next LTS" ; \
+	    echo 'if [ "$$1" = upgrade ] && [ -L /usr/share/doc/'$$p' ]; then'; \
+	    echo "    rm -f /usr/share/doc/$$p"; \
+	    echo "fi"; \
+	  ) >> debian/$$p.preinst.debhelper; \
+	done
 	dh_fixperms
 	chown root:root debian/xserver-xorg/usr/bin/X
 	chmod ug+s debian/xserver-xorg/usr/bin/X

## xorg 7.7%2B23ubuntu4

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Uploaders: Drew Parsons <dparsons@debian.org>, Cyril Brulebois <kibi@debian.org>
-Standards-Version: 3.9.2
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Build-Depends:
  dpkg (>= 1.16.1),
- debhelper (>= 7.3.15ubuntu3),
+ debhelper-compat (= 12),
  po-debconf,
 # xsf-docs:
  asciidoc,
-Vcs-Git: git://git.debian.org/git/pkg-xorg/debian/xorg
-Vcs-Browser: http://git.debian.org/?p=pkg-xorg/debian/xorg.git
+Vcs-Git: https://salsa.debian.org/xorg-team/debian/xorg
+Vcs-Browser: https://salsa.debian.org/xorg-team/debian/xorg
+Homepage: https://www.x.org/
 
 Package: x11-common
 Architecture: all
@@ -33,50 +34,38 @@
 Package: xserver-xorg
 Architecture: any
 Depends:
- xserver-xorg-core (>= 2:1.11),
- xserver-xorg-video-all (>= 0~) | xorg-driver-video,
- xserver-xorg-input-all (>= 0~) | xorg-driver-input,
- xserver-xorg-input-evdev (>= 0~) [linux-any],
- hal (>= 0.5.14-4~) [kfreebsd-any],
+ xserver-xorg-core (>= 2:1.17.2-2),
+ xserver-xorg-legacy [!linux-any],
+ xserver-xorg-input-all | xorg-driver-input,
  ${shlibs:Depends},
  ${misc:Depends},
  xkb-data (>= 1.4),
- x11-xkb-utils
+ x11-xkb-utils,
+ python3-apport,
 Recommends:
  libgl1-mesa-dri,
-Provides:
- xserver-xorg-renamed,
- xserver,
-Replaces:
- xserver-xorg-renamed,
- xorg-renamed-package,
-Conflicts:
- xserver-xorg-renamed,
- xorg-renamed-package,
+ mesa-vulkan-drivers,
+ xserver-xorg-legacy [linux-any],
+ xserver-xorg-video-all,
+Provides: xserver
 Description: X.Org X server
  This package depends on the full suite of the server and drivers for the
  X.Org X server.  It does not provide the actual server itself.
 
-Package: xserver-xorg-lts-precise
-Architecture: any
-Depends:
- xserver-xorg (>= 0~),
-Recommends:
- libgl1-mesa-dri (>= 0~),
- libgl1-mesa-glx (>= 0~),
- xserver-xorg-video-all (>= 0~),
- xserver-xorg-input-all (>= 0~),
-Description: X.Org X server
- This package depends on the full suite of the server and drivers for the
- X.Org X server.  It does not provide the actual server itself.
-
 Package: xserver-xorg-video-all
 Architecture: any
 Depends:
- ${F:XServer-Xorg-Video-Depends},
- ${misc:Depends},
-Recommends:
- ${F:XServer-Xorg-Video-Recommends},
+ xserver-xorg-video-amdgpu [!hurd-any !kfreebsd-any !s390x],
+ xserver-xorg-video-ati [!hurd-any !s390x],
+ xserver-xorg-video-fbdev [!s390x],
+ xserver-xorg-video-dummy [s390x],
+ xserver-xorg-video-nouveau [amd64 arm64 armhf i386 powerpc x32],
+ xserver-xorg-video-vesa [!s390x],
+ xserver-xorg-video-vmware [amd64 hurd-i386 i386 x32],
+ ${misc:Depends},
+Recommends:
+ xserver-xorg-video-intel [amd64 i386 kfreebsd-any x32],
+ xserver-xorg-video-qxl [amd64 i386 x32],
 Replaces: xserver-xorg-driver-all
 Conflicts: xserver-xorg-driver-all
 Description: X.Org X server -- output driver metapackage
@@ -87,10 +76,13 @@
 Package: xserver-xorg-input-all
 Architecture: any
 Depends:
- ${F:XServer-Xorg-Input-Depends},
- ${misc:Depends},
-Recommends:
- ${F:XServer-Xorg-Input-Recommends},
+ xserver-xorg-input-kbd [!linux-any],
+ xserver-xorg-input-libinput [linux-any],
+ xserver-xorg-input-mouse [!linux-any],
+ xserver-xorg-input-synaptics [!linux-any],
+ ${misc:Depends},
+Recommends:
+ xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390x],
 Description: X.Org X server -- input driver metapackage
  This package depends on the full suite of input drivers for the X.Org X server
  (Xorg).  It does not provide any drivers itself, and may be removed if you wish
@@ -99,15 +91,14 @@
 Package: xorg
 Architecture: any
 Depends:
- xserver-xorg (>= ${binary:Version}) | xserver-xorg-renamed,
- libgl1-mesa-glx | libgl1,
- libgl1-mesa-dri,
- libglu1-mesa,
+ xserver-xorg (>= ${binary:Version}),
+ libgl1 [!armhf],
+ libgl1-mesa-dri [!armhf],
+ libglu1-mesa [!armhf],
  xfonts-base (>= 1:1.0.0-1),
  x11-apps,
  x11-session-utils,
  x11-utils,
- x11-xfs-utils,
  x11-xkb-utils,
  x11-xserver-utils,
  xauth,
@@ -115,16 +106,17 @@
  xfonts-utils,
  xkb-data,
  xorg-docs-core,
- xterm | x-terminal-emulator,
- ${misc:Depends},
- x11-common,
+ gnome-terminal | xterm | x-terminal-emulator,
+ ${misc:Depends},
  xinput,
 Recommends:
  xfonts-scalable (>= 1:1.0.0-1),
 Provides: x-window-system, x-window-system-core
-Suggests: xorg-docs,
+Suggests:
+ xorg-docs,
  xfonts-100dpi (>= 1:1.0.0-1),
- xfonts-75dpi (>= 1:1.0.0-1)
+ xfonts-75dpi (>= 1:1.0.0-1),
+ x11-xfs-utils,
 Description: X.Org X Window System
  This metapackage provides the components for a standalone
  workstation running the X Window System.  It provides the X libraries, an X
@@ -171,33 +163,10 @@
  libxvmc-dev,
  libxxf86dga-dev,
  libxxf86vm-dev,
- x11proto-bigreqs-dev,
- x11proto-composite-dev,
- x11proto-core-dev,
- x11proto-damage-dev,
- x11proto-dmx-dev,
- x11proto-fixes-dev,
- x11proto-fonts-dev,
- x11proto-gl-dev,
- x11proto-input-dev,
- x11proto-kb-dev,
- x11proto-randr-dev,
- x11proto-record-dev,
- x11proto-render-dev,
- x11proto-resource-dev,
- x11proto-scrnsaver-dev,
- x11proto-video-dev,
- x11proto-xcmisc-dev,
- x11proto-xext-dev,
- x11proto-xf86bigfont-dev,
- x11proto-xf86dga-dev,
- x11proto-xf86dri-dev,
- x11proto-xf86vidmode-dev,
- x11proto-xinerama-dev,
+ x11proto-dev,
  xserver-xorg-dev,
  xtrans-dev,
  ${misc:Depends},
- x11-common,
 Description: X.Org X Window System development libraries
  This metapackage provides the development libraries for the X.Org X Window
  System.
@@ -216,13 +185,13 @@
  x11-apps,
  x11-session-utils,
  x11-utils,
- x11-xfs-utils,
  x11-xkb-utils,
  x11-xserver-utils,
  xauth,
  xinit,
  ${misc:Depends},
- x11-common,
+Suggests:
+ x11-xfs-utils,
 Description: miscellaneous X clients - metapackage
  An X client is a program that interfaces with an X server (almost always via
  the X libraries), and thus with some input and output hardware like a
@@ -239,13 +208,13 @@
 Section: x11
 Architecture: all
 Depends:
- x11-xfs-utils,
  x11-utils,
  x11-xserver-utils,
  x11-session-utils,
  xfonts-utils,
  ${misc:Depends},
- x11-common,
+Suggests:
+ x11-xfs-utils,
 Description: X Window System utility programs metapackage
  xutils provides a set of utility programs shipped with the X Window System.
  Many of these programs are useful even on a system that does not have any X

## xorg 7.7%2B24ubuntu1

=== xsf-docs/Makefile ===
#!/usr/bin/make -f

txt_files = $(shell find -name '*.txt' -a ! -name '.*.txt')

html_files = $(patsubst %.txt,%.html,$(txt_files))

pdf_files = $(patsubst %.txt,%.pdf,$(txt_files))

TXT_TO_HTML  = TZ=UTC asciidoc -a linkcss
HTML_TO_PDF  = wkhtmltopdf
CSS_FILE     = xsf.css
ADOC_CSS_FILE= asciidoc-xhtml11.css
ADOC_JS_FILE = asciidoc-xhtml11.js
SVG_LOGO     = xsf.svg
PNG_LOGO     = xsf.png

all_files = $(html_files) $(txt_files) $(CSS_FILE) $(ADOC_CSS_FILE) $(ADOC_JS_FILE) $(SVG_LOGO) $(PNG_LOGO)

all: html $(PNG_LOGO)

html: $(html_files)

pdf: $(pdf_files)

%.html: rel_path=$(shell echo $@|sed 's,[^/],,g;s,/,../,g')
%.html: link_home=$(shell echo "<a href=\"$(rel_path)index.html\">XSF</a> / ")
%.html: %.txt
	@echo " HTML $@"
	@$(TXT_TO_HTML) -o $@.tmp $<
	@echo " HOME $@"
	@if [ $< != index.txt ]; then sed -i 's,<h1>,<h1>$(link_home),' $@.tmp; fi
	@echo " CSS  $@"
	@sed -i 's,\(rel="stylesheet" href="\)[^"]*,\1$(rel_path)$(CSS_FILE),' $@.tmp
	@echo " JS   $@"
	@sed -i 's,\(type="text/javascript" src="\)[^"]*,\1$(rel_path)$(ADOC_JS_FILE),' $@.tmp
	@mv $@.tmp $@

%.pdf: %.html $(CSS_FILE) $(ADOC_CSS_FILE) $(ADOC_JS_FILE) $(SVG_LOGO)
	@echo " GEN  $@"
	@$(HTML_TO_PDF) $< $@

# We usually don't need to run this one, but it's easier to keep both
# SVN and PNG logos in sync:
$(PNG_LOGO): $(SVG_LOGO)
	inkscape $< -e $@

install:
	@if [ -z "$(DESTDIR)" ]; then \
		echo 'E: DESTDIR is not set, not installing.'; exit 1; \
	fi
	mkdir -p $(DESTDIR)
	# There are probably better ways:
	set -e; for i in $(all_files); do \
		d=$(DESTDIR)/`dirname $$i` && \
		mkdir -p $$d && \
		install $$i $$d; \
	done

clean:
	@echo "Removing all generated files"
	rm -f $(html_files) $(pdf_files)


.PHONY: clean html pdf all
